#include <iostream>

using namespace std;

int main()

{
 long long n,x;
 cin>>n>>x;
 long long niz[n+1];
 long long z=0;
 for (int i=1;i<n+1;i++)
 {
     cin>>niz[i];
     if (niz[i]<x)
         z=z+(x-niz[i]);
         else
         z=z+(niz[i]-x);
         x=niz[i];
 }
 cout<<z;
 
    return 0;
}